function value_in_table(tbl, val)
  for k, v in ipairs(tbl) do
    if v == val then
      return true
    end
  end

  return false
end


function giveItems(from_char, to_char, to_keeps, from_keeps)
  -- Character link is empty, if "Current character" has been selected
  if from_char == emptyObject then from_char = game.CurrentCharacter end
  if to_char == emptyObject then to_char = game.CurrentCharacter end
  
  -- Do something only if two different characters have been selected
  if from_char ~= to_char then
    if to_keeps == 1 then
      -- The receiver keeps his current items; new items are appended (unless they are already present)
      local tmp_items = to_char.Items

      for i = 1, #(from_char.Items) do
        if not value_in_table(tmp_items, from_char.Items[i]) then
          table.insert(tmp_items, from_char.Items[i])
        end
      end

      to_char.Items = tmp_items
    else
      -- The receiver doesn't keep his current items
      to_char.Items = from_char.Items
    end

    -- Delete the items of the giver, if he shouldn't keep them
    if from_keeps == 0 then
      from_char.Items = {}
    end
  end
end



-- Register action part

registerActionPart('GIVE_ITEMS_EXT', function(activeAction, actionPart)
  giveItems(actionPart.Link, actionPart.AltLink, actionPart.Int, actionPart.AltInt)
  return false
end)